GJOTS2(1)

NAME
gjots2 - A gnome-2/X11 jotter

SYNOPSIS
gjots2 [options] gjotsfile

DESCRIPTION
gjots2 is a fairly simple jotter application for your desktop. It displays your data organised in a tree with each leaf being your text.

Getting data into gjots2 is fairly easy - you can type it in, cut and paste text or use an editor to convert other text files to the simple gjots2 format (see below for details). You can also convert an existing DOCBOOK file into gjots2 format with docbook2gjots(1).

gjots2 files can be simply converted into HTML using gjots2html(1) or into DOCBOOK with gjots2docbook(1)

Sensitive data can be encrypted by ccrypt(1), openssl(1) or gpg(1) simply by saving with an appropriate file suffix and providing a password:

    ccrypt
         .cpt

    openssl
         .ssl

    gpg
         .gpg

Don't forget your passwords. Obviously, the appropriate encryption utility must have been installed.

Simple text formatting is provided with the usual cut & paste operations and paragraph formatting (line wrapping) according to the line length set in Settings->Preferences. Lines are formatted by pressing the Wrap button or ^L. This requires the fmt(1) command which is in the coreutils package in fedora and in the sys-apps/textutils directory on Gentoo.

An external editor (configured in Settings->Preferences) can be invoked by pressing the Ext.Ed button. gjots2 is suspended while the editing is carried on.

File locking is implemented by a lockfile (.#filename) in the same directory as the file being edited. Multiple users can open the file readonly but only one user can open the file for writing. Since the locking is done with a lockfile even NFS-mounted files can be protected.

OPTIONS

--help
    Prints help.

-g, --geometry WIDTHxHEIGHT[+X+Y]
    Initial window geometry for gjots2. Note that the X and Y components are presently ignored.

-p, --purge-password
    When opening an encrypted file, gjots now remembers the password for subsequent writes. To restore the old behaviour where gjots purged the password, use this option.

-r, --readonly
    Opens the gjotsfile in readonly mode (with no locking and no ability to write)

-d, --debug
    debug to stdout

-t, --trace
    trace lines as they execute

-V, --version
    Print the version and quit

FILES
$HOME/.gjotsfile The default data file

`dirname filename`/.#`basename filename`
    The lock file for the file called filename.

FILE FORMAT
gjots2 uses a simple text file format with the addition of a hierarchy of items introduced by keywords. The keywords need to be at the start of line to be recognised. Only 3 keywords are presently used:

\NewEntry
    Starts a new entry

\NewFolder
    Promotes the current item to a folder

\EndFolder
    Ends a folder

The first line in every entry is used as the 'title' for the tree.

In a future release the \Option keyword may be added.

EXAMPLE
\NewEntry
title1
this is the stuff that goes into title1
\NewFolder
\NewEntry
title3
title 3's stuff
\EndFolder

AUTHOR
Written by Bob Hepple <bhepple@freeshell.org>

http://bhepple.freeshell.org/gjots

COPYRIGHT
Copyright (c) 2002-2011 Robert Hepple
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gjots2html(1), gjots2docbook(1), docbook2gjots(1).

Also, see the gjots2(1) README, probably as something like:

    gjots /usr/share/doc/gjots-0.8/gjots2.gjots

or

    netscape /usr/share/doc/gjots-0.8/gjots2.html